import ciranda.*;
import ciranda.features.*;
import ciranda.utils.*;
import ciranda.classify.*;

public class Example{

public static void main(String[] args){
  if(args.length<1) {
  System.out.println("Usage: java Example \"your sentence\"");
  System.out.println("For instance: java Example \"What time are you coming to town?\"");
  System.exit(0);}

//String msg = "hi jim, when are you coming back? how's the trip to Denmark going? pretty cold, huh? well, things here are going well, no problems so far. so...enjoy your trip, regards, jose";
String msg = args[0];
SpeechAct sa = new SpeechAct();
sa.loadMessage(msg);
System.out.println("\nSentence: "+msg+"\n");

System.out.println("Req = "+sa.hasRequest()+"  , Confidence= "+sa.getRequestConfidence());
System.out.println("Dlv = "+sa.hasDeliver()+"  , Confidence= "+sa.getDeliverConfidence());
System.out.println("Cmt = "+sa.hasCommit()+"  , Confidence= "+sa.getCommitConfidence());
System.out.println("Prop = "+sa.hasPropose()+"  , Confidence= "+sa.getProposeConfidence());
System.out.println("Meet = "+sa.hasMeet()+"  , Confidence= "+sa.getMeetConfidence());
System.out.println("Ddata = "+sa.hasDdata()+"  , Confidence= "+sa.getDdataConfidence());

//if(2>1) System.exit(0);
System.out.println("\n--------------------\n");

//another message - don't need to create another SpeechAct object. Just load the new message
String msg2 = "hi Lula, you can trust me: I will vote for your party in the next elections. I will also make sure that all congressmen approves your next bill. Best regards. Severino";
//String msg2 = args[1];
sa.loadMessage(msg2);
System.out.println("\nSentence: "+msg2+"\n");

System.out.println("Req = "+sa.hasRequest()+"  , Confidence= "+sa.getRequestConfidence());
System.out.println("Dlv = "+sa.hasDeliver()+"  , Confidence= "+sa.getDeliverConfidence());
System.out.println("Cmt = "+sa.hasCommit()+"  , Confidence= "+sa.getCommitConfidence());
System.out.println("Prop = "+sa.hasPropose()+"  , Confidence= "+sa.getProposeConfidence());
System.out.println("Meet = "+sa.hasMeet()+"  , Confidence= "+sa.getMeetConfidence());
System.out.println("Ddata = "+sa.hasDdata()+"  , Confidence= "+sa.getDdataConfidence());

}
}
